import { Template } from './template.js';
import type { RedirectMap, RedirectOptions, VitePressConfig } from './types.js';
/**
 * Handles generation of redirect files and scripts
 */
export declare class RedirectGenerator {
    private rules;
    private options;
    private vitepressConfig?;
    constructor(rules: RedirectMap, options: RedirectOptions, vitepressConfig?: VitePressConfig | undefined);
    injectDevelopmentClientScript(html: string): string;
    injectProductionClientScript(html: string, destination: string): string;
    generateRedirectPage(source: string, destination: string, templateManager: Template): Promise<string>;
    generateAllRedirectFiles(outDir: string): Promise<void>;
    private createMetaTags;
}
