import type { RedirectConfig, RedirectMap, RedirectOptions } from './types.js';
/**
 * Normalizes config input to always return rules + options with defaults
 * @param config - Raw redirect configuration
 * @returns Normalized configuration with default options
 */
export declare function normalizeConfig(config: RedirectConfig): {
    rules: RedirectMap;
    options: Required<RedirectOptions>;
};
/**
 * Type guard to check if config is the object format with rules and options
 */
export declare function isRedirectConfigObject(config: RedirectConfig): config is {
    rules: RedirectMap;
    options?: RedirectOptions;
};
/**
 * Sanitizes a path for use in file system operations
 */
export declare function sanitizePath(inputPath: string): string;
